Bug 732197 - AttributeError: 'NoneType' object has no attribute 'format'
Summary: AttributeError: 'NoneType' object has no attribute 'format'
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 15
Hardware: i386
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: anaconda_trace_hash:73eabd9f384682c40...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-20 15:32 UTC by gervandijck
Modified: 2012-08-03 19:31 UTC (History)
7 users (show)

Fixed In Version: anaconda-18.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-03 19:31:13 UTC


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (522.38 KB, text/plain)
2011-08-20 15:32 UTC, gervandijck
no flags Details
Attached traceback automatically from anaconda. (522.38 KB, text/plain)
2011-08-20 15:33 UTC, gervandijck
no flags Details

Description gervandijck 2011-08-20 15:32:48 UTC
The following was filed automatically by anaconda:
anaconda 15.31 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/pyanaconda/yuminstall.py", line 378, in _mountInstallCD
    dev.format.mountpoint = self.tree
  File "/usr/lib/python2.7/site-packages/pyanaconda/yuminstall.py", line 488, in configBaseURL
    self._mountInstallCD()
  File "/usr/lib/python2.7/site-packages/pyanaconda/yuminstall.py", line 356, in setup
    self.configBaseURL()
  File "/usr/lib/python2.7/site-packages/pyanaconda/yuminstall.py", line 1231, in doBackendSetup
    self.ayum.setup()
  File "/usr/lib/python2.7/site-packages/pyanaconda/backend.py", line 192, in doBackendSetup
    if anaconda.backend.doBackendSetup(anaconda) == DISPATCH_BACK:
  File "/usr/lib/python2.7/site-packages/pyanaconda/dispatch.py", line 211, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/python2.7/site-packages/pyanaconda/dispatch.py", line 130, in gotoNext
    self.moveStep()
  File "/usr/lib/python2.7/site-packages/pyanaconda/gui.py", line 1257, in nextClicked
    self.anaconda.dispatch.gotoNext()
AttributeError: 'NoneType' object has no attribute 'format'

Comment 1 gervandijck 2011-08-20 15:32:58 UTC
Created attachment 519149 [details]
Attached traceback automatically from anaconda.

Comment 2 gervandijck 2011-08-20 15:33:56 UTC
Created attachment 519150 [details]
Attached traceback automatically from anaconda.

Comment 3 Chris Lumens 2011-08-22 17:13:46 UTC
This looks to be another CD device where we don't get an ID_FS_TYPE set up for us by udev, so anaconda doesn't understand that it's an installation source.  That might be cleared up post-F15, though.

Comment 4 Harald Hoyer 2011-08-23 06:19:27 UTC
(In reply to comment #3)
> This looks to be another CD device where we don't get an ID_FS_TYPE set up for
> us by udev, so anaconda doesn't understand that it's an installation source. 
> That might be cleared up post-F15, though.

How about fallback code? You can let the user choose or manually scan the cdroms.

Comment 5 Fedora Admin XMLRPC Client 2011-10-20 16:08:53 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Fedora Admin XMLRPC Client 2011-10-20 16:11:04 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Fedora Admin XMLRPC Client 2011-10-20 16:13:09 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 8 Fedora Admin XMLRPC Client 2011-10-20 16:17:36 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 9 Harald Hoyer 2011-10-21 09:46:57 UTC
anaconda should catch the missing ID_FS_TYPE=iso9660 and prompt the user manually to select between all /dev/sr*.

Comment 10 Steven Seed 2011-11-30 17:52:54 UTC
I see this error as well when I have specified repos in my kickstart that non-existent paths. For example:

repo --name base-epel --baseurl=file:///mnt/nfs/repos/el6/epel

Where the is no valid repo in that path. This should report and error, but should not throw and exception. (Seeing this in RHEL 6.2)

Comment 11 Chris Lumens 2012-08-03 19:31:13 UTC
The code this bug resulted from is no longer present as of anaconda-18.3.  Please test with F18 and if you see similar problems, open a new bug.  Thanks.


Note You need to log in before you can comment on or make changes to this bug.